# Commands to run before all others in puppet.
class init {

    group { "puppet":
        ensure => "present",
    }

    exec { "update-apt":
        command => "sudo apt-get update",

    }

    package {
        ["python", "python-dev", "libjs-jquery", "libjs-jquery-ui", "iso-codes", "gettext", "python-tz", "python-vobject", "python-pip" ]:
        ensure => installed,
        require => Exec['update-apt']
    }

    exec { "pip-install-requirements":
        command => "sudo /usr/bin/pip install -r $PROJ_DIR/requirements.txt > $PROJ_DIR/log.txt ",
        tries => 2,
        timeout => 600, # Too long, but this can take awhile
        require => Package['python-pip', 'python-dev'],
        logoutput => true
    }

}